/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<qt3dquick3dinputforeign_p.h>)
#  include <qt3dquick3dinputforeign_p.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_Qt3D_Input()
{
    qmlRegisterModule("Qt3D.Input", 2, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAbstractActionInputForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAbstractActionInputForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAbstractAxisInputForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAbstractAxisInputForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAbstractPhysicalDeviceForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAbstractPhysicalDeviceForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QActionForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QActionForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QActionInputForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QActionInputForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAnalogAxisInputForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAnalogAxisInputForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAxisAccumulatorForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAxisAccumulatorForeign *>().id();
    qmlRegisterEnum<Qt3DInput::QAxisAccumulator::SourceAxisType>("Qt3DInput::QAxisAccumulator::SourceAxisType");
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAxisForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAxisForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QAxisSettingForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QAxisSettingForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QButtonAxisInputForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QButtonAxisInputForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QInputChordForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QInputChordForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QInputSequenceForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QInputSequenceForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QInputSettingsForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QInputSettingsForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QKeyEventForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QKeyEventForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QKeyboardDeviceForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QKeyboardDeviceForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QKeyboardHandlerForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QKeyboardHandlerForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QLogicalDeviceDeviceForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QLogicalDeviceDeviceForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QMouseDeviceForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QMouseDeviceForeign *>().id();
    qmlRegisterEnum<Qt3DInput::QMouseDevice::Axis>("Qt3DInput::QMouseDevice::Axis");
    qmlRegisterTypesAndRevisions<Qt3D::Input::QMouseHandlerForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QMouseHandlerForeign *>().id();
    qmlRegisterTypesAndRevisions<Qt3D::Input::QQMouseEventForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QQMouseEventForeign *>().id();
    qmlRegisterEnum<Qt3DInput::QMouseEvent::Buttons>("Qt3DInput::QMouseEvent::Buttons");
    qmlRegisterEnum<Qt3DInput::QMouseEvent::Modifiers>("Qt3DInput::QMouseEvent::Modifiers");
    qmlRegisterTypesAndRevisions<Qt3D::Input::QWheelEventForeign>("Qt3D.Input", 2);
    QMetaType::fromType<Qt3D::Input::QWheelEventForeign *>().id();
    qmlRegisterEnum<Qt3DInput::QWheelEvent::Buttons>("Qt3DInput::QWheelEvent::Buttons");
    qmlRegisterEnum<Qt3DInput::QWheelEvent::Modifiers>("Qt3DInput::QWheelEvent::Modifiers");
    QMetaType::fromType<Qt3DInput::Input::Quick::Quick3DAction *>().id();
    QMetaType::fromType<Qt3DInput::Input::Quick::Quick3DAxis *>().id();
    QMetaType::fromType<Qt3DInput::Input::Quick::Quick3DInputChord *>().id();
    QMetaType::fromType<Qt3DInput::Input::Quick::Quick3DInputSequence *>().id();
    QMetaType::fromType<Qt3DInput::Input::Quick::Quick3DLogicalDevice *>().id();
    QMetaType::fromType<Qt3DInput::Input::Quick::Quick3DPhysicalDevice *>().id();
    QT_WARNING_POP
    qmlRegisterModule("Qt3D.Input", 2, 12);
}

static const QQmlModuleRegistration qt3DInputRegistration("Qt3D.Input", qml_register_types_Qt3D_Input);
